function t_opf(verbose)
%T_OPF  Tests for optimal power flow.

%   MATPOWER
%   $Id: t_opf.m,v 1.14 2007/06/06 20:45:04 ray Exp $
%   by Ray Zimmerman, PSERC Cornell
%   Copyright (c) 2004-2007 by Power System Engineering Research Center (PSERC)
%   See http://www.pserc.cornell.edu/matpower/ for more info.

if nargin < 1
    verbose = 0;
end

test_list = {   't_opf_fmincon', ...
                't_opf_minopf', ...
                't_opf_pdipm', ...
                't_opf_scpdipm', ...
                't_opf_tralm', ...
                't_opf_constr', ...
                't_opf_lp', ...
                't_opf_dc'
            };

t_run_tests( test_list, verbose );

return;
